# frozen_string_literal: true

require 'singleton'
require 'erratum/errors/authentication/invalid_token'

module  Apiphobic
module  Tokens
class   Invalid
  include Singleton

  def valid?
    false
  end

  def blank?
    false
  end

  def validate!
    fail Erratum::Errors::InvalidToken
  end

  def to_h
    [{}, {}]
  end

  def to_s
    ''
  end
end
end
end
