# frozen_string_literal: true

require 'apiphobic/tokens/json_web_token'

module  Apiphobic
module  Tokens
module  JsonWebTokens
class   PasswordReset < JsonWebToken
  def self.build(expiration: Time.now.utc.to_i + (30 * 60),
                 roles:      %w{password_reset},
                 subject:    'Password',
                 **attrs)

    super(expiration: expiration, roles: roles, subject: subject, **attrs)
  end
end
end
end
end
