# frozen_string_literal: true

require 'apiphobic/tokens/configurable'
require 'apiphobic/tokens/role_predicable'
require 'apiphobic/tokens/null'

module  Apiphobic
module  Tokens
module  JsonWebTokens
class   Null < Tokens::Null
  include Configurable
  include RolePredicable

  def audience
    nil
  end

  def audience_id
    nil
  end

  def issued_at
    nil
  end

  def issuer
    nil
  end

  def expiration
    nil
  end

  def id
    nil
  end

  def not_before
    nil
  end

  def subject_id
    nil
  end

  def subject
    nil
  end

  def roles
    []
  end
end
end
end
end
