# frozen_string_literal: true

require 'apiphobic/tokens/json_web_token'

module  Apiphobic
module  Tokens
module  JsonWebTokens
class   Object < JsonWebToken
  def self.build(object:,
                 expiration: Time.now.utc.to_i + (60 * 60 * 24 * 7),
                 **attrs)

    super(subject:    object.class.name,
          subject_id: object.id,
          expiration: expiration,
          **attrs)
  end
end
end
end
end
